@charset "utf-8";

/* font setting */
@import url('https://fonts.googleapis.com/css?family=Noto+Sans+KR:100,300,400,500,700,900&subset=korean');
@import url('https://use.fontawesome.com/releases/v5.4.1/css/all.css');

/* reset */
/* ------------------------------ */

a,
a:hover,
a:focus,
a:active {
    text-decoration: none
}

ul,
ol,
li {
    margin: 0;
    padding: 0;
    list-style: none
}

/* basic setting */
/* ------------------------------ */

html,
body {
    width: 100%;
    color: #333;
    overflow-y: auto;
    font-weight: 400;
    line-height: 1.5;
    font-size: .95rem;
    overflow-x: hidden;
    font-family: 'Noto Sans KR', sans-serif;
}

.font-family-root {
    font-family: 'Noto Sans KR', sans-serif !important
}

.color-root {
    color: #333 !important
}

.font-weight-root {
    font-weight: 400 !important
}

.line-height-root {
    line-height: 1.5 !important
}

.font-size-root {
    font-size: .9rem !important
}

a {
    color: #333;
    text-decoration: none;
}

a:hover,
a:focus,
a:active {
    color: #000;
    text-decoration: none;
}

/* color set */
/* ------------------------------ */

/* basic layout setting */
/* ------------------------------ */

.wrap-box {
    width: 100%;
    max-width: 100%;
}

.wrap-content {
    width: 100%;
    max-width: 100%;
}

.body.noScroll {
    height: 100vh;
}

.header {
    top: 0;
    left: 0;
    right: 0;
    z-index: 9999;
    position: fixed;
    transition: all .20s ease-in-out;
    -o-transition: all .20s ease-in-out;
    -ms-transition: all .20s ease-in-out;
    -moz-transition: all .20s ease-in-out;
    -webkit-transition: all .20s ease-in-out;
}

.header.hidden {
    top: -100px;
}

.article {
    padding-top: 30px;
    min-height: calc(100vh - 100px);
}

.aside {
    background: transparent
}

.footer {
    height: 50px;
    background: #eee;
    padding-top: .75rem;
    padding-bottom: .75rem;
}

.contentWithoutHeader {
    margin-top: 50px;
    transition: all .20s ease-in-out;
    -o-transition: all .20s ease-in-out;
    -ms-transition: all .20s ease-in-out;
    -moz-transition: all .20s ease-in-out;
    -webkit-transition: all .20s ease-in-out;
}

.full-veil {
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    z-index: 1000;
    display: none;
    position: fixed;
    cursor: default;
    background-color: rgba(0, 0, 0, .8);
}

@media (min-width: 992px) {
    .header {
        right: initial;
        width: 280px;
        height: 100vh;
    }

    .contentWithoutHeader {
        margin-top: initial;
        margin-left: 280px;
    }

    .article {
        min-height: calc(100vh - 110px);
    }

    .miniNav .header {
        width: 70px;
    }

    .miniNav .contentWithoutHeader {
        margin-left: 70px;
    }
}

/* toggle & side navigation elements */
/* ------------------------------ */

.btn-top-toggle.for-desktop {
    display: none;
}

.btn-top-toggle>.state1,
.btn-top-toggle>.state2 {
    width: 100%;
    height: 100%;
    position: absolute;
}

.btn-top-toggle>.state1,
.btn-top-toggle.active>.state2 {
    display: block;
}

.btn-top-toggle>.state2,
.btn-top-toggle.active>.state1 {
    display: none;
}

.nav-aside-left,
.nav-aside-right {
    top: 50px;
    z-index: 1100;
    width: 320px;
    position: fixed;
    height: calc(100vh - 50px);
    transition: all .20s ease-in-out;
    -o-transition: all .20s ease-in-out;
    -ms-transition: all .20s ease-in-out;
    -moz-transition: all .20s ease-in-out;
    -webkit-transition: all .20s ease-in-out;
}

.nav-aside-left {
    left: -320px;
    background: #1e3c55;
}

.nav-aside-right {
    right: -320px;
    background: #fafafa;
}

.nav-aside-left.active {
    left: 0;
}

.nav-aside-right.active {
    right: 0;
}

@media (min-width: 992px) {
    .btn-top-toggle.for-mobile {
        display: none;
    }

    .btn-top-toggle.for-desktop {
        display: block;
    }

    .btn-minify {
        margin: 5px;
        cursor: pointer;
    }

    .btn-minify span {
        background: #ccc;
    }

    .btn-minify:hover span {
        background: #666;
    }

    .miniNav .btn-minify span:nth-child(1) {
        transform: rotate(45deg) !important;
    }

    .miniNav .btn-minify span:nth-child(2) {
        transform: rotate(-45deg) !important;
    }

    .nav-aside-left {
        width: 100%;
        top: initial;
        height: calc(100vh - 60px);
        left: initial;
        z-index: initial;
        position: static;
        background: #1e3c55;
    }

    .nav-aside-right {
        width: 100%;
        top: initial;
        height: 60px;
        right: initial;
        z-index: initial;
        position: static;
        overflow: hidden;
        background: #fff;
        border-bottom: 1px solid #ccc;
    }
}

/* main sie navigation */

.main-side-navigation {
    font-size: 1rem;
    padding-top: 20px;
}

.main-side-navigation>li>a {
    display: flex;
    padding: 0 5px;
    display: -ms-flexbox;
    color: rgba(255, 255, 255, .8);
}

.main-side-navigation>li>a>.icon {
    width: 40px;
    height: 40px;
    padding-top: 8px;
    text-align: center;
    display: inline-block;
}

.main-side-navigation>li>a>label {
    height: 40px;
    padding-top: 8px;
    margin-bottom: 0;
    display: inline-block;
}

.main-side-navigation>li>a>.fa-angle-right {
    opacity: .3;
    width: 40px;
    height: 40px;
    padding-top: 12px;
    margin-left: auto;
    text-align: center;
    transition: all .20s ease-in-out;
    -o-transition: all .20s ease-in-out;
    -ms-transition: all .20s ease-in-out;
    -moz-transition: all .20s ease-in-out;
    -webkit-transition: all .20s ease-in-out;
}

.main-side-navigation a:hover {
    color: #edb850;
    background: rgba(0, 0, 0, .05);
}

.main-side-navigation .sub-nav {
    height: 0;
    overflow: hidden;
    transition: all .20s ease-in-out;
    -o-transition: all .20s ease-in-out;
    -ms-transition: all .20s ease-in-out;
    -moz-transition: all .20s ease-in-out;
    -webkit-transition: all .20s ease-in-out;
}

.main-side-navigation .sub-nav.item-01.active {
    height: calc(35px * 1);
}

.main-side-navigation .sub-nav.item-02.active {
    height: calc(35px * 2);
}

.main-side-navigation .sub-nav.item-03.active {
    height: calc(35px * 3);
}

.main-side-navigation .sub-nav.item-04.active {
    height: calc(35px * 4);
}

.main-side-navigation .sub-nav.item-05.active {
    height: calc(35px * 5);
}

.main-side-navigation .sub-nav.item-06.active {
    height: calc(35px * 6);
}

.main-side-navigation .sub-nav>li>a {
    height: 35px;
    display: block;
    overflow: hidden;
    padding: 7px 45px;
    color: rgba(255, 255, 255, .5);
}

.main-side-navigation .sub-nav>li>a:hover {
    color: #edb850;
}

.main-side-navigation>li.active {
    background: rgba(0, 0, 0, .1);
}

.main-side-navigation>li.active>a {
    color: #2bb09f;
}

.main-side-navigation>li.active .fa-angle-right {
    opacity: .5;
    transform: rotate(90deg);
}

.main-side-navigation .sub-nav>li.active>a {
    color: #2bb09f;
}

@media (min-width: 992px) {
    .miniNav .main-side-navigation>li {
        position: relative;
    }

    .miniNav .main-side-navigation>li>a>.icon {
        width: 70px;
        height: 60px;
        padding-top: 12px;
        font-size: 1.5rem;
    }

    .miniNav .main-side-navigation>li>a>label {
        display: none;
    }

    .miniNav .main-side-navigation>li>a>.fa-angle-right {
        display: none;
    }

    .miniNav .main-side-navigation .sub-nav {
        top: 0px;
        left: 70px;
        width: 200px;
        position: absolute;
        background: #0f6674;
    }

    .miniNav .main-side-navigation .sub-nav>li>a {
        padding: 10px 15px 10px 15px;
        height: auto;
    }

    .miniNav .main-side-navigation>li:hover .sub-nav {
        display: block;
    }

    .miniNav .main-side-navigation .sub-nav.item-01.active,
    .miniNav .main-side-navigation .sub-nav.item-02.active,
    .miniNav .main-side-navigation .sub-nav.item-03.active,
    .miniNav .main-side-navigation .sub-nav.item-04.active,
    .miniNav .main-side-navigation .sub-nav.item-05.active,
    .miniNav .main-side-navigation .sub-nav.item-06.active,
    .miniNav .main-side-navigation .sub-nav.item-07.active,
    .miniNav .main-side-navigation .sub-nav.item-08.active,
    .miniNav .main-side-navigation .sub-nav.item-09.active,
    .miniNav .main-side-navigation .sub-nav.item-10.active {
        height: 0;
    }

    .miniNav .main-side-navigation>li:hover .sub-nav.item-01 {
        height: calc(42px * 1);
    }

    .miniNav .main-side-navigation>li:hover .sub-nav.item-02 {
        height: calc(42px * 2);
    }

    .miniNav .main-side-navigation>li:hover .sub-nav.item-03 {
        height: calc(42px * 3);
    }

    .miniNav .main-side-navigation>li:hover .sub-nav.item-04 {
        height: calc(42px * 4);
    }

    .miniNav .main-side-navigation>li:hover .sub-nav.item-05 {
        height: calc(42px * 5);
    }

    .miniNav .main-side-navigation >li:hover .sub-nav.item-06 {
        height: calc(42px * 6);
    }
}

/* sub side navigation */

.nav-name,
.sub-side-navigation {
    display: none;
}

.user-info {
    margin-top: 50px;
    text-align: center;
    position: relative;
}

.user-info .user-thumbnail {
    overflow: hidden;
    border-radius: 50%;
    display: inline-block;
}

.user-info .user-thumbnail,
.user-info .user-thumbnail img {
    width: 120px;
    height: 120px;
}

.user-info .state {
    top: 10px;
    width: 20px;
    height: 20px;
    position: absolute;
    border-radius: 50%;
    background: #ffb733;
    left: calc(50% + 40px);
}

.user-info .user-name {
    margin-top: 5px;
    font-size: 1.2rem;
}

.time-wrap {
    margin-top: 20px;
    text-align: center;
}

.time-wrap .time-info {
    font-size: 1.25rem;
    margin-bottom: 5px;
}

.member-btn-area {
    padding: 0 30px;
    margin-top: 50px;
}

@media (min-width: 992px) {
    .user-info {
        order: 1;
        display: flex;
        padding: 10px 20px 0 20px;
        margin-top: 0;
        text-align: initial;
        flex-direction: row;
        display: -ms-flexbox;
        -ms-flex-direction: row;
    }

    .user-info .user-thumbnail,
    .user-info .user-thumbnail img {
        width: 40px;
        height: 40px;
    }

    .user-info .state {
        top: 5px;
        left: 45px;
    }

    .user-info .user-name {
        margin-top: 0;
        font-size: 1rem;
        padding: 9px 10px 0 10px;
    }

    .nav-name {
        display: block;
        font-size: 1.25rem;
        padding: 16px 20px 0 20px;
    }

    .sub-side-navigation {
        display: flex;
        padding-top: 0;
        font-size: 1rem;
        display: -ms-flexbox;
    }

    .sub-side-navigation a {
        height: 60px;
        display: inline-block;
        align-content: center;
        padding: 19px 20px 0 20px;
        color: rgba(51, 51, 51, .8);
    }

    .sub-side-navigation a:hover {
        color: #2bb09f;
        border-bottom: #2bb09f 3px solid;
    }

    .sub-side-navigation li.active a,
    .sub-side-navigation li.active a:hover {
        color: #285a78;
        border-bottom: #285a78 3px solid;
    }

    .time-wrap {
        margin-top: 0;
        margin-left: auto;
        text-align: initial;
        display: flex;
        flex-direction: row;
        display: -ms-flexbox;
        -ms-flex-direction: row;
        background: #fafafa;
        padding: 10px 20px 0 20px;
    }

    .time-wrap .time-info {
        font-size: 1rem;
        margin-bottom: 0;
        padding: 9px 10px 0 10px;
    }

    .time-wrap .time-btn {
        padding-top: 5px;
    }

    .member-btn-area {
        padding: 10px 15px 0 0;
        margin-top: 0;
        order: 2;
    }
}

/* header elements */
/* ------------------------------ */

.navbar {
    padding: 0;
}

.navbar-brand {
    padding: 0;
    margin-right: 0;
}

.navbar-brand .logo {
    width: auto;
    height: 30px;
}

.navbar-brand .logo-name {
    color: #fff;
    margin-left: .5rem;
}

@media (min-width: 992px) {
    .navbar {
        height: 60px;
        padding: 10px 15px;
    }

    .navbar-brand {
        padding: 5px;
    }

    .miniNav .navbar-brand .logo-name {
      display: none;
    }
}

.nav-link {
    color: rgba(255, 255, 255, .8);
}

.nav-link:hover,
.nav-link:focus {
    color: #fff;
}

.nav-link.disabled {
    color: rgba(255, 255, 255, .5);
}

.carousel-item img {
    width: 100%;
    height: auto;
}

/* article elements */
/* ------------------------------ */

.page-title {
    font-size: 2rem;
    margin-bottom: 2rem;
}

.section-title {
    font-size: 1.5rem;
    margin-bottom: 1.5rem;
}

.article .article-content>section+section {
    margin-top: 3rem
}

/* aside */
/* ------------------------------ */

.aside-navigation {
    top: 92.19px;
    width: 320px;
    right: -320px;
    z-index: 1020;
    position: fixed;
    background: #fff;
    height: calc(100vh - 92.19px);
    transition: all .20s ease-in-out;
    -o-transition: all .20s ease-in-out;
    -ms-transition: all .20s ease-in-out;
    -moz-transition: all .20s ease-in-out;
    -webkit-transition: all .20s ease-in-out;
}

.aside-navigation.active {
    right: 0;
}

.widget-title {
    margin-bottom: 1rem
}

.aside>section+section {
    margin-top: 2rem
}

/* customizing bootstrap */
/* ------------------------------ */

.table {}

.table th,
.table td {}

.table thead th {}

.table-hover tbody tr:hover {
    /*color: #212529;*/
    /*background-color: rgba(0, 0, 0, 0.075);*/
}

.btn {}

.btn-sm,
.btn-group-sm>.btn {
    /*padding: 0.25rem 0.5rem;*/
    /*font-size: 0.875rem;*/
    /*line-height: 1.5;*/
    /*border-radius: 0.2rem;*/
}

.btn-lg,
.btn-group-lg>.btn {
    /*padding: 0.5rem 1rem;*/
    /*font-size: 1.25rem;*/
    /*line-height: 1.5;*/
    /*border-radius: 0.3rem;*/
}

.btn-fontawesome {
    padding: 0;
    width: 28px;
    height: 28px;
    color: #285a78;
    font-size: .9rem;
    text-align: center;
    border-color: #285a78;
    background-color: #fff;
    border-radius: 0.15rem;
}

.btn-fontawesome:hover,
.btn-fontawesome:not(:disabled):not(.disabled).active,
.btn-fontawesome:not(:disabled):not(.disabled):active,
.show>.btn-fontawesome.dropdown-toggle {
    color: #fff !important;
    background-color: #285a78 !important;
    border-color: #285a78 !important;
}

.btn-fontawesome:focus,
.btn-fontawesome.focus,
.btn-fontawesome:not(:disabled):not(.disabled).active:focus,
.btn-fontawesome:not(:disabled):not(.disabled):active:focus,
.show>.btn-fontawesome.dropdown-toggle:focus {
    box-shadow: none !important;
}

.form-control {}

.form-control-xs {
    height: 28px;
    padding: .25rem .5rem;
    font-size: .8rem;
    border-radius: .15rem;
}

.form-control-sm {}

.form-control-lg {}

.form-control:focus {}

.form-control::placeholder {
    /*color: #ccc;*/
    /*font-size: 90%;*/
}

.input-group-text {}

.was-validated .form-control:valid,
.form-control.is-valid {}

.was-validated .form-control:valid:focus,
.form-control.is-valid:focus {}

.was-validated .form-control:invalid,
.form-control.is-invalid {}

.was-validated .form-control:invalid:focus,
.form-control.is-invalid:focus {}

/* add class option */

.is-last-child {
    border-top-right-radius: 0.25rem !important;
    border-bottom-right-radius: 0.25rem !important;
}

/* common elements */
/* ------------------------------ */

.table-section-head {
    display: flex;
    padding: .75rem;
    margin-bottom: -1px;
    display: -ms-flexbox;
    border: 1px solid #dee2e6;
}

.table-section-head .table-title {
    color: #285a78;
    font-size: 1rem;
}

.table-section-head .btn-item-group {
    display: none;
}

.table-section-foot form {
    display: flex;
    padding: .75rem;
    margin-bottom: -1px;
    display: -ms-flexbox;
    border: 1px solid #dee2e6;
}

.table-responsive {
    border-left: 1px solid #dee2e6;
    border-right: 1px solid #dee2e6;
}

@media (min-width: 992px) {
    .table-section-head .table-title {
        color: #285a78;
        font-size: 1.25rem;
    }
    .table-section-head .btn-item-group {
        display: block;
        margin-left: auto;
    }
}

.result-table tr th:first-child,
.result-table tr td:first-child {
    border-left: none;
}

.result-table tr th:last-child,
.result-table tr td:last-child {
    border-right: none;
}

.result-table thead {
    cursor: pointer;
}

.result-table thead .thead-th-wrap {
    display: flex;
    display: -ms-flexbox;
    -ms-flex-pack: center;
    justify-content: center;
}

.result-table thead th i {
    padding: 5px;
    font-size: 80%;
    color: rgba(51, 51, 51, .3);
}

.result-table thead .active i {
    color: #333;
}

.result-table tbody {
     text-align: center;
 }

.result-table tbody .result-unit {
    display: flex;
    text-align: right;
    display: -ms-flexbox;
    align-items: baseline;
    justify-content: flex-end;
}

.result-table tbody .result-unit span + small {
    margin-left: .25rem;
}

/* login */
/* ------------------------------ */

.login-form .logo {
    width: auto;
    height: 100px;
}

/* ad-mrkang@naver.com */